summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2004-05-05 15:52:11 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 10:51:26 -0500
commit4f9c8e28ac43bf3c64f3edbadf7051fc9091624a (patch)
tree579ca22a45950319db6f510fdd9c06cae1d5acd0
parent04e8a07bb5545e367a7b5ceed1cd0e25be37f921 (diff)
downloadsamba-4f9c8e28ac43bf3c64f3edbadf7051fc9091624a.tar.gz
samba-4f9c8e28ac43bf3c64f3edbadf7051fc9091624a.tar.bz2
samba-4f9c8e28ac43bf3c64f3edbadf7051fc9091624a.zip
r496: fixing swat welcome page -- added links to example guide, devel guide, and howto (all in multi page format)
(This used to be commit 984d9fe271a86da696cedb81aa9de46c5716bba3)
-rwxr-xr-xsource3/script/installswat.sh55
-rw-r--r--swat/help/welcome.html4
2 files changed, 37 insertions, 22 deletions
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index 495386e0b7..67586a8967 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -75,28 +75,41 @@ done
if [ -d $SRCDIR../docs/htmldocs/ ]; then
- for f in $SRCDIR../docs/htmldocs/*.html; do
- FNAME=$SWATDIR/help/`basename $f`
- echo $FNAME
- cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
- chmod 0644 $FNAME
- done
+ for dir in htmldocs/ htmldocs/howto htmldocs/guide htmldocs/devel
+ do
+
+ if [ ! -d $SRCDIR../docs/$dir ]; then
+ continue
+ fi
+
+ INSTALLDIR=$SWATDIR/help/`echo $dir | sed 's/htmldocs\///g'`
+ if [ ! -d $INSTALLDIR ]; then
+ mkdir $INSTALLDIR
+ fi
- if [ -d $SRCDIR../docs/htmldocs/images/ ]; then
- if [ ! -d $SWATDIR/help/images/ ]; then
- mkdir $SWATDIR/help/images
- if [ ! -d $SWATDIR/help/images/ ]; then
- echo Failed to make directory $SWATDIR/help/images, does $USER have privileges?
- exit 1
- fi
- fi
- for f in $SRCDIR../docs/htmldocs/images/*.png; do
- FNAME=$SWATDIR/help/images/`basename $f`
- echo $FNAME
- cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
- chmod 0644 $FNAME
- done
- fi
+ for f in $SRCDIR../docs/$dir/*.html; do
+ FNAME=$INSTALLDIR/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+
+ if [ -d $SRCDIR../docs/$dir/images/ ]; then
+ if [ ! -d $INSTALLDIR/images/ ]; then
+ mkdir $INSTALLDIR/images
+ if [ ! -d $INSTALLDIR/images/ ]; then
+ echo Failed to make directory $SWATDIR/help/images, does $USER have privileges?
+ exit 1
+ fi
+ fi
+ for f in $SRCDIR../docs/$dir/images/*.png; do
+ FNAME=$INSTALLDIR/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+ fi
+ done
fi
# Install Using Samba book (but only if it is there)
diff --git a/swat/help/welcome.html b/swat/help/welcome.html
index 59429ba47d..91d4d7eb00 100644
--- a/swat/help/welcome.html
+++ b/swat/help/welcome.html
@@ -57,7 +57,9 @@ Please choose a configuration action using one of the above buttons
<li><b>Books</b>
<ul>
<li><a href="/swat/using_samba/toc.html" target="docs">Using Samba, 2ed.</a> - by Jay Ts, Robert Eckstein, and David Collier-Brown
- <li><a href="/swat/help/Samba-HOWTO-Collection.html">The Samba HOWTO Collection</a>
+ <li><a href="/swat/help/howto/">The Official Samba HOWTO and Reference Guide</a>
+ <li><a href="/swat/help/guide/">Samba 3 by Example</a>
+ <li><a href="/swat/help/devel/">The Samba Developer Guide</a>
</ul>
</ul>